phing-tasks-ext-pdo

# Class: XMLPDOResultFormatter Source Location: /tasks/ext/pdo/XMLPDOResultFormatter.php
### Class Overview
    PDOResultFormatter
       |
       --XMLPDOResultFormatter
XML formatter for PDO results. #### Author(s): Hans Lellelid <hans@xmpl.org> | ### Methods close getPreferredOutfile initialize processRow setEncoding setFormatOutput
### Inherited Variables #### Class: PDOResultFormatter PDOResultFormatter::$out | ### Inherited Methods #### Class: PDOResultFormatter PDOResultFormatter::close() Perform any final tasks and Close the writer. PDOResultFormatter::getOutput() Gets the output writer. PDOResultFormatter::getPreferredOutfile() Gets the preferred output filename for this formatter. PDOResultFormatter::initialize() Perform any initialization. PDOResultFormatter::processRow() Processes a specific row from PDO result set. PDOResultFormatter::setOutput() Sets the output writer.
### Class Details [line 48] XML formatter for PDO results. This class reprsents the output of a query using a simple XML schema. <results> <row> <col name="id">value</col> <col name="name">value2</col> </row> <row> <col name="id">value</col> <col name="name">value2</col> </row> </results> The actual names of the colums will depend on the fetchmode that was used with PDO. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
since: | 2.3.0
[ Top ] ### Class Methods ### method close [line 135]
`void close( )`
Write XML to file and free the DOM objects. #### Tags:
access: | public
Overrides PDOResultFormatter::close() (Perform any final tasks and Close the writer.) [ Top ] ### method getPreferredOutfile [line 127]
`string getPreferredOutfile( )`
Gets a preferred filename for an output file. If no filename is specified, this is where the results will be placed (unless usefile=false). #### Tags:
access: | public
Overrides PDOResultFormatter::getPreferredOutfile() (Gets the preferred output filename for this formatter.) [ Top ] ### method initialize [line 88]
`void initialize( )`
#### Tags:
access: | public
Overrides PDOResultFormatter::initialize() (Perform any initialization.) [ Top ] ### method processRow [line 100]
`void processRow( array $row)`
Processes a specific row from PDO result set. #### Tags:
access: | public
Overrides PDOResultFormatter::processRow() (Processes a specific row from PDO result set.) #### Parameters:
array | $row | Row of PDO result set.
[ Top ] ### method setEncoding [line 77]
`void setEncoding( string $v)`
Set the DOM document encoding. #### Tags:
access: | public
#### Parameters:
string | $v |
[ Top ] ### method setFormatOutput [line 84]
`void setFormatOutput( boolean $v)`
#### Tags:
access: | public
#### Parameters:
boolean | $v |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:25 +0200 by phpDocumentor 1.4.3